summarylogtreecommitdiffstats
path: root/pulxc.install
diff options
context:
space:
mode:
Diffstat (limited to 'pulxc.install')
-rw-r--r--pulxc.install10
1 files changed, 10 insertions, 0 deletions
diff --git a/pulxc.install b/pulxc.install
new file mode 100644
index 000000000000..2a005ec7b2dc
--- /dev/null
+++ b/pulxc.install
@@ -0,0 +1,10 @@
+post_install() {
+ id pulxc > /dev/null 2>&1
+ if [[ $? -ne 0 ]]; then
+ groupadd -g 500 pulxc
+ useradd -b /var/lib -u 500 -g 500 -N pulxc
+ touch /etc/subuid
+ touch /etc/subgid
+ usermod -v 100000-165535 -w 100000-165535 pulxc
+ fi
+}